Subject: Re: Problems building Xemacs/i686-pc-cygwin
From: "David A. Cobb" <[email-masked]>
To: "Dr. Volker Zell" <[email-masked]>, [email-masked]
Cc: "Dr. Volker Zell" <[email-masked]>, Cygwin General MailList <[email-masked]>
Date: Fri, 03 Aug 2001 06:54:12 -0400

OK, back to the original _imp__dbm_????? problems:

Back a few days:
Message-ID: <[email-masked]>
Date: Sun, 29 Jul 2001 13:51:31 -0400

Charles Wilson, writing about another issue of linking with a dll, spake 
thusly with Gerrit P. Haase:
I got now problems building bleadperl. : > At first configure isn't able to 
find libiconv, because there is no libiconv.a:
: : cd /usr/bin && rm cygiconv*.dll
: cd /usr/lib && rm libiconv.dll.a
: --> removing the dll stuff will force the link to use the static : 
archive. Which should work. Currently, configure is trying to link, ld : 
uses the .dll.a by default and FAILS, so assumes that it can't work.

Sorry, I thought my archive contained both the dynamic lib and the static 
lib. It doesn't (for libiconv). It does (for libcharset). I'm not 
interested in tracking this down right now.

Isn't it possible to link in the dynamic libiconv?

Yes -- if you're using a patched ld. It works for me w.r.t. glib (but I 
haven't and won't try building bleadperl anytime soon). (Glib build fails, 
but libiconv linking is not the reason; libiconv linking works) If it 
doesn't work for you, with perl -- I'm sorry. As I said earlier, no support.
Damn. I'm sorry I ever mentioned this.
--Chuck

I hope I haven't made you even sorrier!

However, could this be the same sort of situation?  I thought it peculiar 
that configure concluded that the linker is NOT "GNU ld."  But I have no 
idea what it tests.

At 8/2/01 05:08 PM (Thursday), Dr. Volker Zell wrote:
> >>>>> "David" == David A Cobb <[email-masked]> writes:
>
>     David> At 8/2/01 09:17 AM (Thursday), Dr. Volker Zell wrote:
>     >> >>>>> "David" == David A Cobb <[email-masked]> writes:
>     David> linuxplay.o: In function `play_sound_file':
>     David> /usr/local/src/XEmacs/xemacs-21.5/src/linuxplay.c(.text+0x1108):
>     David> multiple definition of `play_sound_file'
>     >>
>     David>
>     >> ntplay.o(.text+0x418):/usr/local/src/XEmacs/xemacs-21.5/src/ntplay.c:
>
>     David> first defined here
>     >>
>     >> For this one you have to take out linuxplay.o from the link
>     >> line. Linking is broken
>
>     >> since cygwin has sound support. The configure script detects
>     >> /usr/include/soundcard.h
>
>     >> and thinks we're on linux.
>
>     David> I was afraid of that.  Another case where the configuration tools
>     David> outsmart themselves by trying to be smarter than the user!  I
>     David> explicitly tell it "--with-sound=native,noesd"
>
>     David> and it still goes looking for something that doesn't work.
>
>     David> How do I do this, should I rename soundcard.h so it isn't found?
>
>This would work, or you could edit the line
>extra_objs=.....
>from src/GNUMakefile and delete soundcard.o from there after running 
>configure.
> From then on, make will run just fine.
>
>     David> I guess I need to hid my X11R6 directory also -- altho' David 
> S-B says
>     David> he also gets the error about not being able to find X11R6.dll 
> and it
>     David> didn't hurt him.
>
>If you installed X11R6 like advertised then there should be no problem.
>
>Ciao
>   Volker

David A. Cobb, Software Engineer, Public Access Advocate, All around nice guy.
Get my PGP key at
:<http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=superbiskit>
Fingerprint=0x{6E3E_DB8C_2E8C_4248_62B2_FE29_08EE_CF0A_3629_E954}
:<http://wwwkeys.pgp.net:11371/pks/lookup?op=get&search=superbiskit&fingerprint=on>
"By God's Grace I am a Christian man, by my actions a great sinner."
--The Way of a Pilgrim, R. M. French [tr.]
Potentially Viral Software is any software for which you are not allowed
to examine the source.  Do not buy or use Potentially Viral Software!
<---.----!----.----!----.----!----.----!----.----!----.----!----.---->

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/